com.sun.mirror.apt

## Interface RoundState

- Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is `RoundEnvironment`.

      @Deprecated
      public interface RoundState

  Represents the status of a completed round of annotation processing.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `classFilesCreated()` Deprecated. Returns `true` if new class files were created in this round of processing; returns `false` otherwise.
    `boolean` | `errorRaised()` Deprecated. Returns `true` if an error was raised in this round of processing; returns `false` otherwise.
    `boolean` | `finalRound()` Deprecated. Returns `true` if this was the last round of annotation processing; returns `false` if there will be a subsequent round.
    `boolean` | `sourceFilesCreated()` Deprecated. Returns `true` if new source files were created in this round of processing; returns `false` otherwise.

- - ### Method Detail

    - #### finalRound

          boolean finalRound()

      Deprecated.
      Returns `true` if this was the last round of annotation processing; returns `false` if there will be a subsequent round.

    - #### errorRaised

          boolean errorRaised()

      Deprecated.
      Returns `true` if an error was raised in this round of processing; returns `false` otherwise.

    - #### sourceFilesCreated

          boolean sourceFilesCreated()

      Deprecated.
      Returns `true` if new source files were created in this round of processing; returns `false` otherwise.

    - #### classFilesCreated

          boolean classFilesCreated()

      Deprecated.
      Returns `true` if new class files were created in this round of processing; returns `false` otherwise.

Copyright © 2004, 2017, Oracle and/or its affiliates. All rights reserved.